/*-----------------------------------------------------------------------
QMBTagger - Qt Based MusicBrainz MP3/OGG/FLAC Tagger
Copyright (C) 2003,2004 Ewen Cheslack-Postava

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-----------------------------------------------------------------------*/

#ifndef _QMBFILEVIEWFILEITEM_H_
#define _QMBFILEVIEWFILEITEM_H_

#include <vector>
#include <qlistbox.h>

class QListView;
class QListViewItem;
class QMBFileViewResultItem;
class QMBFile;
class QMBMetadata;

using namespace std;

class QMBFileViewFileItem : public QListBoxText
{
public:
	QMBFileViewFileItem(QListBox * parent, const QString &text = QString::null);
	~QMBFileViewFileItem();

	QMBMetadata GetFileMetadata();
	QMBFile* GetFile();
	void SetFile(QMBFile* f);
	QMBFile* CreateFile(QString filename);
	void AddChild(QMBFileViewResultItem* child);
	QMBFileViewResultItem* GetSelectedChild();
	void ShowChildren(QListView* listview);
	void HideChildren(QListView* listview);
	void ClearChildren(QListView* listview);
	int ChildCount();
	void SetSingleSelection(QListView* listview, QListViewItem* selected);

private:
	QMBFile* file;
	vector<QMBFileViewResultItem*> children;
	bool showing;
};

#endif //define _QMBFILEVIEWFILEITEM_H_
