/*-----------------------------------------------------------------------
QMBTagger - Qt Based MusicBrainz MP3/OGG/FLAC Tagger
Copyright (C) 2003,2004 Ewen Cheslack-Postava

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-----------------------------------------------------------------------*/
//This is a class to abstract the FLAC file stuff.  It's main function is
//to get the raw pcm stream out of the FLAC file so we can get the trm id.

#ifndef _QMBFLACFILE_H_
#define _QMBFLACFILE_H_

#include <config.h>

#if USE_FLAC == 1

#include "qmbfile.h"
#include <qstring.h>
#include <FLAC++/decoder.h>

class QMBFLACFile : public QMBFile, public FLAC::Decoder::File
{
public:
	QMBFLACFile();
	~QMBFLACFile();

	virtual int Extract(QString filename);

	
	//int CreateID(trm_t &trm);
	//int QueryServer();
	virtual int Output(int resultChoice, QString format, QString newdir, bool crossfs);
	//void CopySelectedMetadata(int resultChoice);
	//void StripURL(QString &url);
	//bool wasManuallyTagged();
	//void setManuallyTagged(bool t);
	//void ReplaceFilenameWildcards(QString &filename);
	virtual QString GetFileExtension();
	//bool CreateDirectory(QString filename);

	// from FLAC::Decoder::File
	::FLAC__StreamDecoderWriteStatus write_callback(const ::FLAC__Frame *frame, const FLAC__int32 * const writebuffer[]);
	void metadata_callback(const ::FLAC__StreamMetadata *metadata);
	void error_callback(::FLAC__StreamDecoderErrorStatus status);

	//long bufferlen;
	//char* buffer;
	//int channels;
	//long sampleRate;
	//unsigned int bits_per_sample;
	//double songlength;
	//char signature[17];
	//char ascii_sig[37];
	//QString fullfilename;
	//QString serverurl;
	//int serverport;
	//bool manTagged;
	
	//metadata
	//QMBMetadata metadata;
	//QMBMetadata* queryresults;
	//int numresults;
private:
	unsigned int offset;
	bool decode_error;
	unsigned int max_block_size;
};

#endif /* USE_FLAC == 1 */
#endif //define _QMBFLACFILE_H_
