/*-----------------------------------------------------------------------
QMBTagger - Qt Based MusicBrainz MP3/OGG/FLAC Tagger
Copyright (C) 2003,2004 Ewen Cheslack-Postava

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-----------------------------------------------------------------------*/
//This is a class to abstract the vorbis file stuff.  It's main function is
//to get the raw pcm stream out of the vorbis file so we can get the trm id.

#ifndef _QMBMP3FILE_H_
#define _QMBMP3FILE_H_

#include <config.h>

#if USE_MP3 == 1

#include <id3/tag.h>

#include "qmbfile.h"
#include <qstring.h>

class QMBMP3File : public QMBFile
{
public:
	QMBMP3File();
	~QMBMP3File();

	virtual int Extract(QString filename);

	int GetMetadata(QString filename);
	//int CreateID(trm_t &trm);
	//int QueryServer();
	virtual int Output(int resultChoice, QString format, QString newdir, bool crossfs);
	//void CopySelectedMetadata(int resultChoice);
	//void StripURL(QString &url);
	//bool wasManuallyTagged();
	//void setManuallyTagged(bool t);
	//void ReplaceFilenameWildcards(QString &filename);
	virtual QString GetFileExtension();
	//bool CreateDirectory(QString filename);

	//long bufferlen;
	//char* buffer;
	//int channels;
	//long sampleRate;
	//unsigned int bits_per_sample;
	//double songlength;
	//char signature[17];
	//char ascii_sig[37];
	//QString fullfilename;
	//QString serverurl;
	//int serverport;
	//bool manTagged;
	
	//metadata
	//QMBMetadata metadata;
	//QMBMetadata* queryresults;
	//int numresults;
private:
	void ID3_StripAllTags(ID3_Tag *tag);
	ID3_Frame* ID3_AddTrackID(ID3_Tag *tag, const char *text);
	ID3_Frame* ID3_AddUserText(ID3_Tag *tag, const char* desc, const char *text);
};

#endif /* USE_MP3 == 1 */

#endif //define _QMBMP3FILE_H_
