/*-----------------------------------------------------------------------
QMBTagger - Qt Based MusicBrainz MP3/OGG/FLAC Tagger
Copyright (C) 2003,2004 Ewen Cheslack-Postava

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-----------------------------------------------------------------------*/

#ifndef _QMBSUBMIT_H_
#define _QMBSUBMIT_H_

#include <qobject.h>
#include <qmap.h>
#include <qstring.h>
#include <qsettings.h>
class MusicBrainz;

class QMBSubmit : public QObject {
	Q_OBJECT
public:
	QMBSubmit();
	~QMBSubmit();

	void Add(QString trackID, QString trmID);
	void Remove(QString trackID);

	void Clear();

	int Count();

	void SetSettings(QSettings* newsettings);
public slots:
	bool Submit(MusicBrainz* mb);

	void Save();
	void Load();

private:
	QMap<QString, QString> list;
	QSettings* settings;
};

#endif //define _QMBSUBMIT_H_
