/*-----------------------------------------------------------------------
QMBTagger - Qt Based MusicBrainz MP3/OGG/FLAC Tagger
Copyright (C) 2003,2004 Ewen Cheslack-Postava

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-----------------------------------------------------------------------*/

#ifndef _QMBTAGBOX_H_
#define _QMBTAGBOX_H_

class QLineEdit;

#include <qvbox.h>
#include "qmbmetadata.h"

class QMBTagBox : public QVBox {
	Q_OBJECT
public:
	QMBTagBox(QWidget* parent = 0, const char* name = 0, WFlags f = 0);
	~QMBTagBox();

	void SetMetadataPtr(QMBMetadata* md);

private slots:
	void Applied();
	void Cancelled();

signals:
	void ChangedMetadata();

private:
	QMBMetadata* metadata;

	QLineEdit* ArtistName;
	QLineEdit* AlbumName;
	QLineEdit* TrackName;
	QLineEdit* TrackNum;
};

#endif //define _QMBTAGBOX_H_
