/*-----------------------------------------------------------------------
QMBTagger - Qt Based MusicBrainz MP3/OGG/FLAC Tagger
Copyright (C) 2003,2004 Ewen Cheslack-Postava

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-----------------------------------------------------------------------*/

#ifndef _QMBTAGGER_H_
#define _QMBTAGGER_H_

#include <qmainwindow.h>
#include <qstring.h>
#include "qmbfileview.h"
#include "qmbconfig.h"
#include "qcdlookup.h"

class QMBTagger : public QMainWindow {
	Q_OBJECT
public:
	QMBTagger(int argc, char** argv, QWidget* parent = 0, const char* name = 0, WFlags f = WType_TopLevel);
	~QMBTagger();

	void LoadOldInfo();
	static QString GetFileTypeString();

private slots:
	void openfiles();
	void opendirectory();
	void about();
	void aboutqt();

	void transmitSettings();
signals:
	void LoadTRMs(); //pass-through signal, but also allows loading of trms on startup
	void SaveTRMs(); //pass-through signal, but also allows saving trms without saving options

protected:
	void closeEvent(QCloseEvent* e);

private:
	void ParseCommandLine(int argc, char** argv);

	QMBFileView* fileview;
	QMBConfig* config;
	QCDLookup* cdlookup;
	QString curdir;
};

#endif //define _QMBTAGGER_H_
